
From: Bob Doyle <doyle@primenet.com>

BusLogic_UnregisterHostAdapter() is referenced from __exit code, so it cannot
be __init.


---

 drivers/scsi/BusLogic.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/scsi/BusLogic.c~buslogic-sections-fix drivers/scsi/BusLogic.c
--- 25/drivers/scsi/BusLogic.c~buslogic-sections-fix	2004-02-28 15:32:23.000000000 -0800
+++ 25-akpm/drivers/scsi/BusLogic.c	2004-02-28 15:32:23.000000000 -0800
@@ -189,7 +189,7 @@ static void __init BusLogic_RegisterHost
   registered BusLogic Host Adapters.
 */
 
-static void __init BusLogic_UnregisterHostAdapter(struct BusLogic_HostAdapter *HostAdapter)
+static void BusLogic_UnregisterHostAdapter(struct BusLogic_HostAdapter *HostAdapter)
 {
   if (HostAdapter == BusLogic_FirstRegisteredHostAdapter)
     {

_
